// akMediaAdmin v. 1.1
// Copyright (c) 1999-2000 Anatoli Klassen

// About Box
unit AboutUnit;

interface

uses
  Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, ShellAPI;

type
  TAboutBox = class(TForm)
    OkButton      : TBitBtn;
    ProgramIcon   : TImage;
    Version       : TLabel;
    ProductName   : TLabel;
    Copyright     : TLabel;
    WebLabel      : TLabel;
    MailLabel     : TLabel;
    HTMLLabel     : TLabel;
    MailtoLabel   : TLabel;
    FreewareLabel : TLabel;
    procedure HTMLLabelClick(Sender: TObject);
    procedure MailtoLabelClick(Sender: TObject);
  private
  public
  end;

var
  AboutBox : TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.HTMLLabelClick(Sender: TObject);
begin
  ShellExecute(0, nil, PChar(HTMLLabel.Caption), nil, nil, 0);
end;

procedure TAboutBox.MailtoLabelClick(Sender: TObject);
begin
  ShellExecute(0, nil, PChar('mailto:' + MailtoLabel.Caption), nil, nil, 0);
end;

end.
